from typing import List

from spatz.sensors import Sensor
from spatz.dataset import Dataset
from spatz.transforms import Transform


class TemperatureSensor(Sensor):
    def __init__(self, dataset: Dataset, transforms: List[Transform] = []):
        super(TemperatureSensor, self).__init__(dataset, transforms)

    def _get_data(self) -> float:
        return self._dataset.get_temperature()